\begin{center}
	\begin{tikzpicture}
		\newdimen\lw
		\lw=0.5cm
		\pgfmathtruncatemacro{\lh}{3}
		\pgfmathtruncatemacro{\anzahl}{(\linewidth-\pgflinewidth)/\lw}
		\pgfmathtruncatemacro{\cut}{\anzahl-2}
		\pgfmathtruncatemacro{\mitteL}{\anzahl/2-0.5}
		\pgfmathtruncatemacro{\mitteR}{\anzahl/2+0.5}
		\draw[very thick,name path=Lot,loosely dashed] (0,0) -- (\anzahl*\lw,0);
		\node[above] (L) at (2*\lw,0) {\usebox\mycandle};
		\filldraw[gray] (\mitteL*\lw,0) rectangle (\mitteR*\lw,\lh*0.75) node[above,black] {Rolle};
		\draw[very thick] (\cut*\lw,0) -- (\cut*\lw,\lh);
		\node[right] (S) at (\cut*\lw,\lh/2) {Schirm};
	\end{tikzpicture}
\end{center}